orte/mca/gpr/replica/functional_layer/gpr_replica_del_index_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_del_index_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_del_index_fn.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'orte/util/proc_info.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, orte_gpr_replica_itag_t *key_itags, size_t num_keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, orte_gpr_replica_itag_t *key_tags, size_t num_keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index_fn\fP (\fBorte_gpr_replica_segment_t\fP *seg, size_t *cnt, char ***index)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index_nb_fn\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
